Tracking
Follow shipments from pickup to delivery.
/api/v1/trackingAuthorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Query Parameters
Page size. Defaults to a server-chosen value; maximum 100.
1 <= value <= 100Cursor: return records after this id.
Cursor: return records before this id.
Filter by customer.
0 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tracking"{ "object": "list", "data": [ { "object": "tracking", "tracking_number": "string", "carrier_name": "string", "status": "string", "estimated_delivery": "string", "delivered_at": "string", "events": [ { "status": "string", "description": "string", "location": "string", "occurred_at": "string" } ] } ], "has_more": true, "url": "/api/v1/tracking"}/api/v1/trackingBegins tracking a carrier tracking or PRO number.
Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/tracking" \ -H "Content-Type: application/json" \ -d '{ "tracking_number": "string" }'{ "object": "tracking", "tracking_number": "string", "carrier_name": "string", "status": "string", "estimated_delivery": "string", "delivered_at": "string", "events": [ { "status": "string", "description": "string", "location": "string", "occurred_at": "string" } ]}/api/v1/tracking/{tracking_number}Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tracking/string"{ "object": "tracking", "tracking_number": "string", "carrier_name": "string", "status": "string", "estimated_delivery": "string", "delivered_at": "string", "events": [ { "status": "string", "description": "string", "location": "string", "occurred_at": "string" } ]}/api/v1/tracking/{tracking_number}Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/tracking/string"{ "object": "tracking", "deleted": true}/api/v1/tracking/{tracking_number}/refreshForces a live poll of the carrier rather than serving cached events.
Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/tracking/string/refresh"{ "object": "tracking", "tracking_number": "string", "carrier_name": "string", "status": "string", "estimated_delivery": "string", "delivered_at": "string", "events": [ { "status": "string", "description": "string", "location": "string", "occurred_at": "string" } ]}